Bug 579024 - Deleted Files Remain in Activity Journal - Does Not Refresh Until Restarted
Summary: Deleted Files Remain in Activity Journal - Does Not Refresh Until Restarted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-activity-journal
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mads Villadsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-02 07:29 UTC by David Le Sage
Modified: 2010-05-31 18:12 UTC (History)
1 user (show)

Fixed In Version: gnome-activity-journal-0.3.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-31 18:12:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 561862 None None None Never

Description David Le Sage 2010-04-02 07:29:33 UTC
Description of problem:
Screen does not refresh when items deleted.

Version-Release number of selected component (if applicable):
0.3.3

How reproducible:
Every time.

Steps to Reproduce:
1. Launch Activity Journal
2. Open an OpenOffice.org Calc file.
3. Open an HTML file that has been saved on the local hard drive.
4. The two open files reflect in Activity Journal correctly.
5. Close the open HTML file.
6. Delete it.
7. Empty the GNOME rubbish bin.
8. HTML file's icon still present in Activity Journal.
9. Hover over icons for either Calc file or HTML file in Activity Journal.  In both cases, the thumbnail preview for the Calc file appears.
  
Actual results:
HTML file remains in Journal but hover preview depicts Calc file's contents.

Expected results:
HTML file should disappear from Journal when deleted from system.

Additional info:
Closing Activity Journal and relaunching refreshes it correctly.  HTML icon disappears then.

Comment 1 Mads Villadsen 2010-04-12 21:50:11 UTC
Reported upstream here: https://bugs.launchpad.net/gnome-activity-journal/+bug/561862

Comment 2 Fedora Update System 2010-05-13 13:00:17 UTC
gnome-activity-journal-0.3.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.4-1.fc13

Comment 3 Fedora Update System 2010-05-13 19:30:54 UTC
gnome-activity-journal-0.3.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-activity-journal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.4-1.fc13

Comment 4 Fedora Update System 2010-05-31 18:12:14 UTC
gnome-activity-journal-0.3.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.